ubuntu 14.04 安装和配置

最近又尝试从Windows 切换到 ubuntu 。经过很多次折腾,发现自己对linux 有了一定的理解过后再去
接触这些,已经不再那么陌生和“恐惧”了

安装

Windows 10 和 ubuntu 共存安装参考

切换显卡

系统设置–> 软件和更行 –> 附加驱动(据说开源驱动性能虽然不强,但是稳定性好,我还是继续用开源驱动吧)

换主题

unity 默认主题真的让我第一次开机看到它过后就想换掉!ubuntu14.04的主题很多不是扁平化的,如果电脑支持的话还是安装16.04比较好(该死的联想z485)

首先安装unity-tweak-tool

sudo apt install unity-tweak-tool

然后推荐去noobSlab,这个网站有很多个主题可以选择,安装方式也写出来了,配合unity-tweak-tool使用。个人喜欢Numix主题

安装搜狗输入法

去搜狗官网下载linux 版本搜狗,然后双击安装,完毕后。
系统设置–>语言支持–>键盘输入方式系统:fcitx–>重启

如果发现安装好后不能调出输入法面板,输入时只能看不到候选词,那么可以检查一下依赖sudo apt-get install -f

如果使用一段时间过后搜狗输入法一直崩溃,可能是配置文件出问题了,可以选择删除配置文件,然后重启fctix

killall fctix
rm -rf ~/.config/sogou-qimpanel
rm -rf ~/.config/SogouPY.users
rm -rf ~/.config/SogouPY
fctix

安装cairo-dock

很实用的小工具(模拟mac的dock栏)

sudo add-apt-repository ppa:cairo-dock-team/ppa
sudo apt-get update
sudo apt-get install cairo-dock
# 启动命令 cairo-dock

第一次打开会提示是否开启OpenGl,我的电脑上面测试开启过后会出问题,我选择不开启,如果以后想开启,可以使用cairo-dock -c(不开启) / cario-dock -o(开启OpenGl)切换

安装纸飞机

“纸飞机”这个东西还是必须要有的啊,没有这个东西感觉整个人都不好了

sudo add-apt-repository ppa:hzwhuang/ss-qt5
sudo apt-get update
sudo apt-get install shadowsocks-qt5
#启动命令 ss-qt5

安装proxychain4

ss-qt5 是桌面级应用,尽管连上代理,命令行还是无法通过代理上网。proxychain 可以完美解决命令行不能使用代理的问题

git clone https://github.com/rofl0r/proxychains-ng.git
cd proxychains-ng
./configure
(sudo) make && make instal

安装完毕后,需要手动新建配置文件

sudo vi /etc/proxychains.conf

#然后填入以下内容
[ProxyList]
socks5  127.0.0.1 1080

使用方法

proxychains (sudo) 需要执行的命令 ...

为firefox 和 chrome 安装flash

首先进入系统设置–>软件和更行–>其它软件–>勾选Canonial合作伙伴,
然后运行命令

sudo apt install adobe-flashplugin

安装atom

atom 是一款非常优秀的编辑器,不解释。由于官方网站没有提供32bit deb包(64bit无视),因此需要自行通过ppa安装

sudo add-apt-repository ppa:webupd8team/atom  
sudo apt-get update  
sudo apt-get install atom

安装nodejs 最新版(较新版)

到https://nodejs.org/download/release/v7.5.0/ 去下载最新的nodejs包
我这里选择node-v7.5.0-linux-x86.tar.gz
下载下来过后,执行

tar -zxvf node-v7.5.0-linux-x86.tar.gz
cp node-v7.5.0-linux-x86 /opt/node-v7.5.0
sudo ln -s /opt/node-v7.5.0/bin/node /usr/local/bin/node
sudo ln -s /opt/node-v7.5.0/bin/npm /usr/local/bin/npm

现在可以使用node 和npm命令了,接下载就是配置npm 全局安装路径了(可以不用配置)

npm config set prefix "/home/johnny/.npm-global/"
# 使用npm config get prefix 可以查看全局安装路径

还没完,这时候npm install xxx -g 过后会发现执行xxx命令无效。比如说安装hexo, npm install hexo -g成功后,执行hexo却提示command not found。
配置一下环境变量就可以解决这个问题

echo -e "export PATH=$(npm prefix -g)/bin:$PATH" >> ~/.bashrc && source ~/.bashrc

安装oracle-jdk

首先下载jdk
然后解压,我将他解压到了~/jdk1.8.0_121/,如果只是当前用户用的话,直接改.bashrc文件中配置环境变量就好了,不过建议写到/etc/profile中

vi ~/.bashrc
#在最末尾加入
export JAVA_HOME=/home/johnny/jdk1.8.0_121  ## 这里要注意目录要换成自己解压的jdk 目录
export JRE_HOME=${JAVA_HOME}/jre  
export CLASSPATH=.:${JAVA_HOME}/lib:${JRE_HOME}/lib  
export PATH=${JAVA_HOME}/bin:$PATH

然后

source ~/.bashrc
java -version 就可以看到java版本已经变成安装的版本了

安卓开发环境搭建

https://developer.android.com/studio/index.html
下载好sdk,解压到自己想解压的目录,我这里解压到/home/johnny/sdk
然后配置环境变量

vi ~/.bashrc
#在最末尾加入
export ANDROID_HOME=/home/johnny/Johnny/sdk
export PATH=${PATH}:${ANDROID_HOME}/tools
export PATH=${PATH}:${ANDROID_HOME}/platform-tools

现在执行android 就可以打开sdk 管理器了,下载自己需要的package就行了。
但是由于现在的sdk版本高了,默认是64位,所以32位ubuntu在运行adb命令时就会报错。file adb 也可以看到adb是64位的。
解决方案就是将platform-tools 替换成32位的老版本,替换后就可以成功运行adb命令了

最终效果

发表评论

电子邮件地址不会被公开。 必填项已用*标注